
Name:          mycila-parent-pom
Version:       5
Release:       %mkrel 4
Summary:       Mycila Parent POM
Group:         Development/Java
License:       ASL 2.0
Url:           http://www.mycila.com/
# svn export https://mycila.googlecode.com/svn/mycila-pom/tags/parent-pom-5 mycila-parent-pom-5
# tar czf mycila-parent-pom-5-src-svn.tar.gz mycila-parent-pom-5
Source0:       mycila-parent-pom-5-src-svn.tar.gz

Patch0:        mycila-parent-pom-5-no_wagon-webdav.patch

BuildRequires: java-devel >= 0:1.6.0
BuildRequires: jpackage-utils

BuildRequires: maven-invoker-plugin
BuildRequires: maven-install-plugin
BuildRequires: maven-local
BuildRequires: maven-source-plugin

Requires:      maven
Requires:      maven-antrun-plugin
Requires:      maven-assembly-plugin
Requires:      maven-clean-plugin
Requires:      maven-compiler-plugin
Requires:      maven-dependency-plugin
Requires:      maven-deploy-plugin
Requires:      maven-invoker-plugin
Requires:      maven-ipojo-plugin
Requires:      maven-jar-plugin
Requires:      maven-javadoc-plugin
Requires:      maven-license-plugin
Requires:      maven-release-plugin
Requires:      maven-shade-plugin
Requires:      maven-source-plugin
Requires:      maven-surefire-plugin

Requires:      java >= 0:1.6.0
Requires:      jpackage-utils
Requires(post): jpackage-utils
Requires(postun): jpackage-utils
BuildArch:     noarch

%description
Parent POM for Mycila projects.

%files
%{_mavenpomdir}/JPP-%{name}.pom
%{_mavendepmapfragdir}/%{name}

#--------------------------------------------------------------------

%prep
%setup -q
%patch0 -p0

%build

mvn-rpmbuild -e install

%install
install -d -m 755 %{buildroot}%{_mavenpomdir}
install -pm 644 pom.xml %{buildroot}%{_mavenpomdir}/JPP-%{name}.pom
%add_maven_depmap JPP-%{name}.pom



%changelog
* Tue Oct 22 2013 umeabot <umeabot> 5-4.mga4
+ Revision: 545920
- Mageia 4 Mass Rebuild

* Thu Oct 17 2013 luigiwalser <luigiwalser> 5-3.mga4
+ Revision: 501998
- BR maven-local for mvn-rpmbuild

* Sat Jan 12 2013 umeabot <umeabot> 5-2.mga3
+ Revision: 360562
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Jan 07 2012 dmorgan <dmorgan> 5-1.mga2
+ Revision: 192774
- Build with maven3

  + gil <gil>
    - imported package mycila-parent-pom

